ActionButton.ButtonType (gCube Join New Portlet 2.1.0-SNAPSHOT API)
Date: 2015-02-13

org.gcube.portlets.user.joinnew.client.commons

## Enum ActionButton.ButtonType

- java.lang.Object
- - java.lang.Enum<ActionButton.ButtonType>
  - - org.gcube.portlets.user.joinnew.client.commons.ActionButton.ButtonType

- All Implemented Interfaces:
    Serializable, Comparable<ActionButton.ButtonType>
  Enclosing class:
    ActionButton

      public static enum ActionButton.ButtonType
      extends Enum<ActionButton.ButtonType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASK_4_REG`
    `ENTER`
    `FREE`
    `PENDING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ActionButton.ButtonType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ActionButton.ButtonType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENTER

          public static final ActionButton.ButtonType ENTER

    - #### ASK_4_REG

          public static final ActionButton.ButtonType ASK_4_REG

    - #### PENDING

          public static final ActionButton.ButtonType PENDING

    - #### FREE

          public static final ActionButton.ButtonType FREE

  - ### Method Detail

    - #### values

          public static ActionButton.ButtonType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActionButton.ButtonType c : ActionButton.ButtonType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ActionButton.ButtonType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All Rights Reserved.